KUBERNETES(1)

NAME

kubeadm init phase control-plane all - Generates all static Pod manifest files

SYNOPSIS

kubeadm init phase control-plane all [OPTIONS]

DESCRIPTION

Generates all static Pod manifest files

OPTIONS

--apiserver-advertise-address=""
    The IP address the API Server will advertise it's listening on. If not set the default network interface will be used.

--apiserver-bind-port=6443
    Port for the API Server to bind to.

--apiserver-extra-args=
    A set of extra flags to pass to the API Server or override default ones in form of <flagname>=<value>

--cert-dir="/etc/kubernetes/pki"
    The path where to save and store the certificates.

--config=""
    Path to a kubeadm configuration file.

--controller-manager-extra-args=
    A set of extra flags to pass to the Controller Manager or override default ones in form of <flagname>=<value>

--feature-gates=""
    A set of key=value pairs that describe feature gates for various features. Options are:

--image-repository="k8s.gcr.io"
    Choose a container registry to pull control plane images from

--kubernetes-version="stable-1"
    Choose a specific Kubernetes version for the control plane.

--pod-network-cidr=""
    Specify range of IP addresses for the pod network. If set, the control plane will automatically allocate CIDRs for every node.

--scheduler-extra-args=
    A set of extra flags to pass to the Scheduler or override default ones in form of <flagname>=<value>

--service-cidr="10.96.0.0/12"
    Use alternative range of IP address for service VIPs.

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

EXAMPLE

      # Generates all static Pod manifest files for control plane components,
      # functionally equivalent to what is generated by kubeadm init.
      kubeadm init phase control-plane all

      # Generates all static Pod manifest files using options read from a configuration file.
      kubeadm init phase control-plane all --config config.yaml

SEE ALSO

kubeadm-init-phase-control-plane(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!